* {
    font-family: "Montserrat";
}

#main {
    line-height: 1.4;
}

#wrapper {
    height: 100vh;
    scroll-behavior: smooth;
}

.swal2-label {
    font-size: 15px;
    line-height: 1.2;
    color: #373737;
}

.swal2-radio {
    flex-direction: column !important;
    align-items: flex-start !important;
}

.swal2-radio input {
    transform: scale(1.75) !important;
    margin-right: 10px !important;
}

/* =============================================================================
view - settings
==============================================================================*/

#button-save-settings {
    border-radius: 5px;
    display: flex;
    align-items: center;
    background: #046f47;
    width: 100%;
    padding: 8px 0px;
    font-size: 18px;
    color: #fff;
    font-weight: bold;
    height: 100%;
    justify-content: space-around;
}

#button-save-settings i {
    font-size: 32px;
}


#add-vehicle {
    border-radius: 5px;
    display: flex;
    align-items: center;
    background: #046f47;
    width: 100%;
    height: 30px;
    font-size: 15px;
    color: #fff;
    font-weight: bold;
}

#add-vehicle:active {
    background: #02442b;
}

#add-vehicle p {
    margin: 0 auto;
}

.vehicle-row {
    height: 25px !important;
}

.vehicle {
    height: 55px;
    font-size: 14px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.vehicle-input {
    font-size: 20px !important;
    font-weight: bold;
    text-align: center;
    height: 55px !important;
    padding: 6px !important;
}

.vehicle-img {
    margin-left: 10px;
    height: 50px;
    display: inline-block;
}

/* =============================================================================
view - dashboard
==============================================================================*/

#dashboard-container {
    padding-top: 30px !important;
    padding: 15px;
    font-size: 18px;
}

.dashboard-warning {
    background: rgba(255, 0, 69, 0.2);
    background:#ff0045;
    border-radius: 5px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dashboard-warning-icon {
    padding: 5px;
    font-size: 34px;
    grid-area: icon;
    color: #fff;
    margin-right: .25em;
}

.dashboard-warning span {
    grid-area: info;
    color: #fff;
    font-weight: bold;
    font-size: 12px;
}

.dashboard-warning-button {
    grid-area: button;
    color: #262626;
    background: rgba(0,0,0,0);
    border: 1px solid #262626;
    border-radius: 5px;
    font-weight: bold;
    padding: 15px;
    font-size: 16px;
}

#dashboard-offline-warning {
    display: none;
    margin-top: 10px;
    font-size: 12px;
    padding: 15px;
    background: #ff0045;
    border-radius: 5px;
    color: #fff;
    font-weight: bold;
    text-align: center;
}

#dashboard-button-claim {
    margin-top: 10px;
    width: 100%;
    border: 0px;
    border-radius: 5px;
    padding: 50px   25px;
    background: #046f47;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
}

#dashboard-button-claim:active {
    background: #02442b;
}

#dashboard-button-claim i {
    font-size: 38px;
}

#dashboard-button-settings {
    margin-top: 10px;
    width: 100%;
    border: 0px;
    border-radius: 5px;
    padding: 25px   12.5px;
    background: #046f47;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
}

#dashboard-button-settings:active {
    background: #02442b;
}

#dashboard-button-settings i {
    font-size: 32px;
    margin-bottom: 10px;
}

.dashboard-info {
    display: grid;
    width: 100%;
    grid-template-areas: "dashboard-vehicles dashboard-claims";
    grid-template-columns: 49% 49%;
    grid-template-rows: auto;
    grid-gap: 2%;
    margin-top: 10px;
}

#dashboard-vehicles {
    grid-area: dashboard-vehicles;
}

#dashboard-claims {
    grid-area: dashboard-claims;
}

.dashboard-square {
    background: #262626;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    color: #fff;
    border-radius: 5px;
    padding: 15px 0px;
    font-size: 20px;
    text-align: center;
}

.dashboard-square span {
    font-size: 14px !important;
    font-weight: bold !important;
}

/* =============================================================================
view - claim
==============================================================================*/

#preloader-wrapper {
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 10000;
    text-align: center;
}

#preloader {
    background: #fff;
    width: 75vw;
    height: 25vh;
    margin-top: -20vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    z-index: 10001;
}

#preloader img {
    width: 30vw;
}

#preloader span {
    font-weight: bold;
    color: #999;
    font-size: 1em;
}

.liability-wrapper {
    display: flex;
    flex-direction: row;
}

.liability-header {
    font-weight: bold;
    font-size: 14px;
    color: #046f47;
    text-align: center;
    margin-bottom: .5em;
    margin-top: .5em;
}

.lw-element {
    margin: 5px;
    padding: 10px;
    width: 30%;
    font-size: 10px;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    border-radius: 5px;
    border: 2px solid #046f47;
    color: #046f47;
    font-weight: bold;
}

.lw-element i {
    font-size: 18px !important;
}

.lw-customer-selected {
    color: #fff;
    background: #f6464b;
    border-color: #f6464b;
    transition: .15s ease-in;
}

.lw-unknown-selected {
    color: #fff;
    background: #417bc2;
    border-color: #417bc2;
    transition: .15s ease-in;
}

.lw-opponent-selected {
    color: #fff;
    background: #046f47;
    border-color: #046f47;
    transition: .15s ease-in;
}

.confirmButton {
    color: #fff !important;
    background: #046f47 !important;
    font-weight: bold !important;
    padding: 1em 2em !important;
    font-size: 0.9em !important;
}

.cancelButton {
    color: #fff !important;
    background: #FF1343 !important;
    font-weight: bold !important;
    padding: 1em 2em !important;
    font-size: 0.9em !important;
}

#claim-info {
    height: 100%;
}

.img-div {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #046f47;
    border-radius: 15px;
    margin: auto;
    width: 97%;
}

.img-div img {
    padding: 10px 0px 0px 0px;
    width: 50px;
}

.img-div h2 {
    padding: 10px 0px;
    color: #fff;
}

.claim-icon {
    padding: 0px 8.5% 0px 0px;
    display: inline-block;
    vertical-align: baseline;
    line-height: 50px !important;
    color: #046f47;
    position: absolute;
    right: 0;
    font-size: 30px;
}

.first-row {
    padding-top: -5px;
    margin-bottom: 10px;
}

.row-big {
    height: 85px;
}

.row-bar {
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #046f47;
    width: 100%;
    height: 55px;
    font-size: 18px;
    color: #fff;
    font-weight: bold;
    text-align: center;
}

.row-bar:active {
    background: #02442b;
}

.row-bar-icon {
    position: absolute;
    right: 0;
    padding-right: 8.5%;
    font-size: 26px !important;
}

.row-bar-icon-left {
    position: absolute;
    left: 0;
    padding-left: 8.5%;
    font-size: 26px !important;
}

#involved {
    height: 100%;
}

#witnesses {
    height: 100%;
}

.involved {
    margin-top: 4%;
    margin-bottom: 42.5%;
    width: 96%;
    padding: 0% 2%;
    height: 165px;
}

.witnesses {
    margin-top: 4%;
    margin-bottom: 25%;
    width: 96%;
    padding: 0% 2%;
    height: 165px;
}

.involved div {
    margin-bottom: 8px;
}

.witnesses div {
    margin-bottom: 8px;
}

.person-heading {
    text-align: center;
    color: #046f47;
    margin-top: 15px;
    margin-bottom: 15px;
    font-weight: bold;
    border: 2px solid #046f47;
    padding: 15px 10px;
    border-radius: 5px;
}

.person_remove {
    font-size: 24px;
    position: absolute;
    right: 45px;
    color: #e74747 !important;
}

#claim-location {
    display: table-cell;
    vertical-align: middle;
    width: 80% !important;
    font-size: 10px !important;
}

#mapContainer {
    position: fixed; /* Sit on top of the page content */
    width: 100vw; /* Full width (cover the whole page) */
    height: 100vh; /* Full height (cover the whole page) */
    top: 0; left: 0; right: 0; bottom: 0;
    background-color: rgba(0,0,0,0.6); /* Black background with opacity */
    z-index: 1020;
    cursor: pointer;
}

#map {
    position: absolute;
    width: 100vw;
    height: 80vh;
    margin: auto;
    left: 0; right: 0;
}

.mapButtons {
    background: #262626;
    text-align: center;
    position: absolute;
    width: 100vw;
    height: 65vh;
    margin: auto;
    left: 0;
    right: 0;
    top: 80vh;
    padding-top: 7vh;
}

.mapButton {
    font-size: 20px;
    padding: 14px;
    border-radius: .25em;
    border: 0px;
    color:#fff;
    font-weight: bold;
}

#mapButtonAbort {
    background: #FF1343;
}

#mapButtonSubmit {
    background: #046f47;
}

.uploaded-picture-wrapper  {
    position: relative;
    display: inline-block;
    width: 20%;
    margin: 8px;
    border-radius: 5px;
}

.uploaded-picture-wrapper i {
    font-size: 22px;
    color: #FF1343;
    background: #fff;
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 100%;
}

.uploaded-picture {
    width: 100%;
    border-radius: 5px;
}



.picture-preview {
    width: 80%;
    margin: 0;
    border-radius: 10px;
}

#submit-claim-button {
    border: 0;
    border-radius: 5px;
    color: #fff;
    background: #046f47;
    font-weight: bold;
    font-size: 20px;
    text-align: center;

}


/* ======================================== */
                /* LAYOUT  */
/* ======================================== */


/* =============================================================================
header
==============================================================================*/

body {
    margin: 0;
}

#header {
    display: grid;
    background: #046f47;
    color: #fff;
    height: 70px;
    width: 100%;
    grid-template-columns: 15% 70% 15%;
    grid-template-rows: 100%;
    grid-template-areas: "header-nav header-title header-icon";
    align-items: center;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23)
}

#header.fixed {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1010;
}

.header-nav {
    grid-area: header-nav;
    justify-self: start;
    font-size: 26px;
    padding-left: 15px;;
}

.header-title {
    grid-area: header-title;
    font-weight: normal !important;
    font-size: 1em;
    text-align: center;
}

.header-icon {
    grid-area: header-icon;
    justify-self: end;
    font-size: 26px;
    padding-right: 15px;
}

#translate-icon {
    width: 36px;
}

.icon2 {
    padding-right: 45px !important;;
}

.header-status {
    text-align: center;
    color: #fff;
    font-weight: bold;
}

/* =============================================================================
sidebar
==============================================================================*/

#sidebar-header {
    color: #fff;
    font-size: 20px;
    text-align: center;
}

#sidebar-left {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    background: #046f47;
    overflow-x: hidden;
    transition: 0.1s ease-in;
}

.closebtn {
    color: #fff;
    font-size: 32px !important;
    position: absolute;
    top: 0;
    left: 0;
    padding-left: 15px !important;
    padding-top: 20px !important;
}

#sidebar-left ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#sidebar-left span {
    font-size: 16px;
    position: absolute;
    left: 60px !important;
}

#sidebar-left li:active {
    background: #02442b;

}

#sidebar-left li {
    vertical-align: middle;
    line-height: 50px;
    padding: 10px;
    height: 50px;
    color: #fff;
    border-bottom: 1px solid rgba(166, 166, 166,0.35);
}

.icon-left {
    position: absolute;
    height: 50px;
    line-height: 50px;
    padding: 10px 5px 0px 5px;
    font-size: 25px;
}

/* schadensymbol minimal kleiner machen */
#car-crash {
    font-size: 22px !important;
}

.icon-right {
    position: absolute;
    right: 0;
    height: 50px;
    font-size: 20px;
    padding: 15px 15px 0px 5px;
    line-height: 50px;
}

.first {
    margin-top: 70px;
    border-top: 1px solid rgba(166, 166, 166,0.35);
}



/* =============================================================================
allgemein
==============================================================================*/



.swal-language {
    margin-bottom: 8px;
    border-radius: 5px;
    padding: 5px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.10), 0 3px 6px rgba(0,0,0,0.15);
    display: flex;
    align-items: center;
    width: 100%;
}

.swal-language img {
    width: 30px;
    margin-right: 12px;
}

.swal-language span {
    font-size: 14px;
    font-weight: bold;
    color: #373737;
}

label {
    font-size: 12px;
    font-weight: bold;
    color: #046f47;
    height: 50px;
    line-height: 50px;
    box-sizing: border-box;
}

.container {
    height: 100%;
    padding: 15px;
}

input[type=text], input[type=date], input[type=time], input[type=number], select {
    -webkit-appearance: none;
    background: #fff;
    font-family: "Montserrat";
    height: 50px;
    line-height: 45px;
    display: inline-block;
    font-size: 16px;
    padding: 2px 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 100%;
    box-sizing: border-box;
    -webkit-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    -moz-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    resize: vertical;
}

textarea {
    -webkit-appearance: none;
    background: #fff;
    font-family: "Montserrat";
    height: 50px;
    display: inline-block;
    font-size: 16px;
    padding: 4px;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 100%;
    box-sizing: border-box;
    -webkit-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    -moz-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    resize: vertical;
}

.center {
    text-align: center;
    line-height: 50px;
    padding: 30px;
}

.row {
    height: 50px;
    width: 96%;
    padding: 2%;
}

.row-small {
    height: 30px;
    width: 96%;
    padding: 0% 2%;
}

.row-big {
    height: 75px !important;
    width: 96%;
    padding: 2%;
}

.row-huge {
    height: 100px !important;
    width: 96%;
    padding: 2%;
}

.col-small {
    height: 25px !important;
    resize: vertical;
}

.col-big {
    height: 75px !important;
    resize: vertical;
}

.col-huge {
    height: 100px !important;
    resize: vertical;
}

.textarea {
    font-size: 16px;
    height: 75px !important;
    padding: 5px;
}

.col-25 {
    height: 50px;
    font-size: 16px;
    float: left;
    width: 30%;
}

.col-50 {
    height: 50px;
    font-size: 16px;
    float: left;
    width: 50%;
}

/* Floating column for inputs: 75% width */
.col-75 {
    height: 50px;
    font-size: 16px;
    float: left;
    width: 70%;
}


.col-100 {
    font-size: 18px;
    height: 50px;
    width: 100%;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

.hide {
    display: none;
}


/* =============================================================================
view - feedback
==============================================================================*/

#feedback-container {
    height: 100%;
}

#feedback-heading {
    line-height: 0pt !important;
}

#grade-container {
    margin-top: 15px;
    margin-bottom: 15px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.grade {
    font-size: 20px !important;
    border: 1.5px solid #046f47;
    color: #046f47;
    border-radius: 5px;
    width: 10%;
    padding: 15px 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-weight: bold;
}

.grade-checked {
    background: #046f47 !important;
    color: #fff;
    transition: .15s ease-out;
}

#feedback-input-info {
    font-size: 14px !important;
}

#feedback-input {
    margin-top: 5px;
    height: 150px !important;
    font-size: 14px;
}

#feedback-submit {
    margin-top: 15px;
    text-align: center;
    border: 0;
    border-radius: 5px;
    align-items: center;
    background: #046f47;
    width: 100%;
    height: 70px;
    font-size: 16px;
    color: #fff;
    font-weight: bold;
}


/* =============================================================================
view - contact
==============================================================================*/

.contact-info {
    color: #ff0045;
    font-weight: bold;
    font-size: 90%;
    text-align: center;
    margin-bottom: .075em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-go-settings {
    margin-top: 1em;
    display: flex;
    padding: 1.25em;
    background: #046f47;
    color: #fff;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    font-weight: bold;

}

.contact-container {
    width: 100%;
    height: 25%;
    margin-bottom: 30px;
}

.cc-header {
    background: rgba(4,111,71,0.1);
    color: #046f47;
    padding: 10px;
    margin-bottom: 5px;
    font-weight: bold;
}

.cc-content {
    display: grid;
    grid-template-areas:    "image text";
    grid-gap: 5px;
    grid-template-columns: 40% 60%;
}

.ccc-image {
    grid-area: image;
    width: 100%;
}

.ccc-text {
    grid-area: text;
    align-items: left;
    display: flex;
    flex-direction: column;
    font-size: .75em;
    margin-top: 5%;
}

.ccc-name {
    color: #262626;
    font-size: 1.25em;
    font-weight: bold;
}

.ccc-email {
    font-size: 1em;
}

.ccc-phone {
    margin-top: 5px;
    background: #046f47;
    color: #fff;
    border-radius: 5px;
    align-items: center;
    display: flex;
    justify-content: space-around;
    width: 85%;
    padding: 10px;
    font-weight: bold;
}

.ccc-phone a {
    text-decoration: none;
    color: #fff;
}

.cc-content-2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.ccc-phone-2 {
    display: flex;
    justify-content: center;
    align-items: center;
    background: #046f47;
    color: #fff;
    font-weight: bold;
    font-size: 1em;
    padding: 1.25em 2em;
    border-radius: 5px;
    width: 100%;
}

.ccc-phone-2 a {
    text-decoration: none;
    color: #fff;
}

/* =============================================================================
view - version
==============================================================================*/

.vc-active {
    background: #046f47 !important;
    color: #fff !important;
    font-weight: bold !important;
}

.version-wrapper {
    padding: 15px;
}

.version-container {
    margin-bottom: 30px;
    width: 100%;
}

.vc-header {
    background: rgba(4,111,71,0.1);
    color: #046f47;
    padding: 10px;
    margin-bottom: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.vc-active-info {
    font-size: 16px;
    color: #fff !important;
}
.vc-log {
    margin-top: 15px;
    list-style-type: square;
    padding-left: 30px;
}

.vc-log li {
    padding-bottom: 5px;
}

/* =============================================================================
view - legal
==============================================================================*/

.paragraph-header {
    color: #046f47;
    font-weight: bold;
    font-size: 26px;
}

.paragraph-subheader {
    color: #838383;
    font-size: 14px;
}

.paragraph-section {
    font-size: 13px !important;
    width: 100%;
    margin-bottom: 15px;
    margin-top: 15px;
}

.paragraph-seperator {
    width: 100%;
    border-bottom: solid 1px rgba(4,111,71,0.25);
    padding-top: 10px;
    margin-bottom: 10px;
}

/* =============================================================================
view - privacy
==============================================================================*/

.privacy-link {
    flex-direction: column;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background: #046f47;
    text-align: center;
    color: #fff;
}

.privacy-link:active {
    background: #02442b;
}
